\name{SRRR_orth_eea}
\alias{SRRR_orth_eea}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
%%  ~~function to do ... ~~
Exclusive Extration Algorithm for Orthogonal Design Model
}
\description{
%%  ~~ A concise (1-5 lines) description of what the function does. ~~
}
\usage{
SRRR_orth_eea(Y, X = diag(nrow(Y)), nrank = 1, adaptive = TRUE, gamma0 = 2, 
ini = SRRR_orth_ini(Y, X, nrank = nrank, adaptive = adaptive, gamma0 = gamma0), 
nlam = 100, minlam = 1e-06, inner.iter = 100, inner.conv = 1e-04, IC = 1)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{Y }{
    An n by q response matrix
}
  \item{X }{
    An n by p design matrix that is orthogonal. 
}
  \item{nrank }{
    Specified rank
}
  \item{adaptive }{
    If TRUE, use adaptive estimation
}
  \item{gamma0 }{
    Power parameter in the adaptive weights. 
}
  \item{ini }{
    Initialization by SRRR_orth_ini
}
  \item{nlam }{
    Number of lambda values
}
  \item{minlam }{
    The smallest nonzero lambda is set to be minlam*lammax, where lammax is close to the lambda value for which all the coefficients are penalized to be zero.
}
  \item{inner.iter }{
    Maximum iteration of internal SURR_orth
}
  \item{inner.conv }{
    Convergence threshold of internal SURR_orth
}
  \item{IC }{
    Information criteria. IC=1, BIC; IC=2, BICP; IC=3, AIC.
}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
%%  ~Describe the value returned
%%  If it is a LIST, use
  \item{U_path }{Solution path of U}
  \item{V_path }{Solution path of U}
  \item{D_path }{Solution path of D}
  \item{IC_path }{Information criteria}
  \item{U }{Estiamted U}
  \item{V }{Estiamted V}
  \item{D }{Estiamted D} 
%% ...
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
Kun Chen
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{

##Simulation model
U1 <- as.vector(c(rep(1/sqrt(10),10),rep(0,40)))
V1 <- as.vector(c(rep(1/sqrt(20),20),rep(0,280)))
U2 <- as.vector(c(rep(0,20),rep(1/sqrt(10),10),rep(0,20)))
V2<- as.vector(c(rep(0,30),rep(1/sqrt(20),20),rep(0,250)))
X <- svd(matrix(nrow=50,ncol=50,rnorm(2500)))$u
Ym <- X\%*\%(U1\%*\%t(V1)*30+ U2\%*\%t(V2)*20)
Y <- Ym + matrix(ncol=300,nrow=50,rnorm(300*50,0,1))

svd(Ym)$d
svd(Y)$d

SRRR_orth_eea(Y,X,nrank=2,adaptive=TRUE)


}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{regression}
%\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
