\name{SRRR_orth_ieea}
\alias{SRRR_orth_ieea}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Iterative Exclusive Extraction Algorithm for Orthogonal Design Model
}
\description{
%%  ~~ A concise (1-5 lines) description of what the function does. ~~
}
\usage{
SRRR_orth_ieea(Y, X = diag(nrow(Y)), nrank = 1, adaptive = TRUE, gamma0 = 2, 
nlam = 100, minlam = 1e-05, iter = 1, conv = 0.01, 
inner.iter = 100, inner.conv = 1e-04, IC = 1)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{Y }{
    An n by q response matrix
}
  \item{X }{
    Sn n by p design matrix that is orthogonal. 
}
  \item{nrank }{
    Specified rank
}
  \item{adaptive }{
    If TRUE, use adaptive estimation
}
  \item{gamma0 }{
    Power parameter in the adaptive weights. 
}
  \item{nlam }{
    Number of lambda values    
}
  \item{minlam }{
    The smallest nonzero lambda is set to be minlam*lammax, where lammax is close to the lambda value for which all the coefficients are penalized to be zero.
}
  \item{iter }{
    Number of iteration
}
  \item{conv }{
    Convergence threshold
}
  \item{inner.iter }{
  Maximum iteration of internal SURR_orth
}
  \item{inner.conv }{
    Convergence threshold of internal SURR_orth
}
  \item{IC }{
    Information criteria. IC=1, BIC; IC=2, BICP; IC=3, AIC. 
}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
%%  ~Describe the value returned
%%  If it is a LIST, use
\item{U }{Estimated U}
\item{V }{Estimated V}
\item{D }{Estimated D}
\item{niter }{Number of iterations}
\item{conv }{Convergence}
%% ...
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
Kun Chen
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{

##Simulation model
U1 <- as.vector(c(rep(1/sqrt(10),10),rep(0,40)))
V1 <- as.vector(c(rep(1/sqrt(20),20),rep(0,280)))
U2 <- as.vector(c(rep(0,20),rep(1/sqrt(10),10),rep(0,20)))
V2<- as.vector(c(rep(0,30),rep(1/sqrt(20),20),rep(0,250)))
X <- svd(matrix(nrow=50,ncol=50,rnorm(2500)))$u
Ym <- X\%*\%(U1\%*\%t(V1)*30+ U2\%*\%t(V2)*20)
Y <- Ym + matrix(ncol=300,nrow=50,rnorm(300*50,0,1))

svd(Ym)$d
svd(Y)$d

SRRR_orth_ieea(Y,X,nrank=5,adaptive=TRUE,gamma0=2,iter=10,conv=1e-4)


}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{regression}
%\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
